> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/jian-tie-ban/clipboard.settext.md).

# Clipboard.setText

> 函数式 API `setClipboardText`也可以用来使用相同功能。

### 功能说明

将文本复制到剪贴板。用户可以在其他应用中粘贴。

如果没有剪贴板写入权限 `SetClipboardTextPermissionError`会发生。 `Clipboard.setText.getPermission()`来确认权限状态， `Clipboard.setText.openPermissionDialog()`并可再次请求权限。

### 类型

```ts
Clipboard.setText(text: string): Promise<void>;
```

**参数**

这是要复制到剪贴板的文本。

**响应**

无。

### 错误

错误会以类的形式抛出 — `error instanceof SetClipboardTextPermissionError`通过它识别。该类可在 `@apps-in-toss/web-framework`中导入。

| 错误类                               | 说明                                                                 |
| --------------------------------- | ------------------------------------------------------------------ |
| `SetClipboardTextPermissionError` | 表示剪贴板写入权限被拒绝的情况。 `Clipboard.setText.openPermissionDialog()`可以重新请求。 |

### 示例代码

#### JavaScript

```js
import {
  Clipboard,
  SetClipboardTextPermissionError,
} from "@apps-in-toss/web-framework";

try {
  await Clipboard.setText("要复制的文本");
} catch (error) {
  if (error instanceof SetClipboardTextPermissionError) {
    console.warn("没有剪贴板写入权限。");
    return;
  }
  console.error(error);
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/jian-tie-ban/clipboard.settext.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
